<script type="text/javascript">

var clave = '';
var cmpPotencial = '';
var cmpIda = '';
var cmpDejar = '';
var cmpContrato = '';
var cmpLinea = '';
function getLocation(key, potencial, ida, dejar, url, contrato, linea) {
	if (confirm('¿Seguro que quieres modificar las coordenadas de gps?')){
		clave=key;
		console.log(clave);
		cmpPotencial = potencial;
		console.log(cmpPotencial);
		cmpIda = ida;
		cmpDejar = dejar;
		cmpUrl = url;
		cmpContrato = contrato;
		cmpLinea = linea;
		//showPosition('49,66');
	    if (navigator.geolocation) {
	        navigator.geolocation.getCurrentPosition(showPosition, showError);
	    } else { 
	        $('#gps-'+key).text("Geolocation is not supported by this browser.");
	    }
	}
    
}

function showPosition(position) {
	var x = $('#gps-'+clave);
	//var pos = position;
	var pos = position.coords.latitude + ", " + position.coords.longitude;
	
	x.html('<a target="_blank" href="https://www.google.es/maps/dir/'+pos+'">'+pos+'</a> ');
	$.ajax({
		url: cmpUrl+"/servicio/savegps",
		type: "POST",
		dataType: "json",
		cache: "false",
		data: {
			potencial: cmpPotencial,
			ida : cmpIda,
			dejar: cmpDejar,
			contrato: cmpContrato,
			linea: cmpLinea,
			pos: pos
		},
		success: function(msg){
	        alert('wow' + msg);
	    }
		
	})
	
}

function showError(error) {
	var x = $('gps-'+clave);
    switch(error.code) {
        case error.PERMISSION_DENIED:
            x.text("User denied the request for Geolocation.");
            break;
        case error.POSITION_UNAVAILABLE:
            x.text("Location information is unavailable.");
            break;
        case error.TIMEOUT:
            x.text("The request to get user location timed out.");
            break;
        case error.UNKNOWN_ERROR:
            x.text("An unknown error occurred.");
            break;
    }
}

</script>

<?php if (isset($this->accion) && $this->accion=='tareas')
		$accion = 'tareas';
	else 
		$accion = 'resumen';

?>
<div class="container">
	<div class="row">
		<div class="col-sx-12" style="display:block">
			<div class="pull-left">
				<h2 style="margin:10px 0px 5px 0px"><?php echo $this->titulo?></h2>
			</div>	
			<div class="pull-right">
				<h2 style="margin:10px 0px 5px 0px"><a class="btn btn-default  btn-xl" href="<?php echo BASEURL?>/viaje/editar/contrato/<?php echo $this->contrato?>/ida/<?php echo $this->ida?>"><i class="glyphicon glyphicon-plus"></i></a></h2>
			</div>
			<?php if ($this->accion=='tareas') { ?>
			<div class="pull-right">
				<h2 style="margin:10px 10px 5px 0px"><a class="btn btn-default  btn-xl" href="<?php echo BASEURL.'/servicio/tareas/id/'.$this->numeroservicio.'/td/'.$this->todos?>"><i class="fa fa-filter"></i></a></h2>
			</div>
			<?php } ?>
		</div>
	</div>
</div>
<?php 
	foreach ($this->lista_viajes as $key=> $viaje){
		
		$importe = $viaje['personasImporte']+$viaje['paquetesImporte'];
		$cobrado = 0;
		$formaPago = '';
		if (isset($this->cobros[$viaje['contacto'].'-'.$this->ida]['importe'])){
			$cobrado = $this->cobros[$viaje['contacto'].'-'.$this->ida]['importe'];
			$formaPago = $this->cobros[$viaje['contacto'].'-'.$this->ida]['formaPago'];
			switch($formaPago){
				case Formapago::CHEQUE:
					$formaPago = 'CHEQUE';
					break;
				case Formapago::EFECTIVO:
					$formaPago = 'EFECTIVO';
					break;
			}
		}
		$pendienteCobrar = $importe - $cobrado;
		
		$estiloServicio = 'color_futuro';
		$estiloTitulo = 'color_futuro_titulo';
		if ($viaje['origenFechaRecogido'] && $viaje['dejar']==0){
			$estiloServicio = 'color_finalizado';
			$estiloTitulo = 'color_finalizado_titulo';
		}
		if ($viaje['destinoFechaDejado'] && $viaje['dejar']==1){
			$estiloServicio = 'color_finalizado';
			$estiloTitulo = 'color_finalizado_titulo';
		}
		
		if ($viaje['personasCantidad']>0) {
			$estiloPersona = 'tiene_paq_pax';
			$textoPersona = $viaje['personasCantidad'].'<span>Pax</span>';
		} else {
			$estiloPersona = $estiloTitulo;
			$textoPersona = '&nbsp;';
		}
		if ($viaje['paquetesCantidad']>0) {
			$estiloPaquete = 'tiene_paq_pax';
			$textoPaquete = $viaje['paquetesCantidad'].'<span>Paq</span>';
		} else {
			$estiloPaquete = $estiloTitulo;
			$textoPaquete = '&nbsp;';
		}
		$pasajeroNombre = $viaje['pasajeroNombre'];
		if (!$pasajeroNombre) 
			$pasajeroNombre = $viaje['pasajeroNombreSinPotencial'];

	?>
		<div class="trabajo_viaje container <?php echo $estiloServicio;?>">
			<div class="row <?php echo $estiloTitulo?> viaje_resumen">
				<div class="col-xs-1 <?php echo $estiloPersona;?>"><?php echo $textoPersona; ?></div>				
				<div class="col-xs-10">
					<a style="color:white" href="<?php echo BASEURL;?>/viaje/editar/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>">
						&nbsp;<?php echo $pasajeroNombre;?><br/>
						&nbsp;<?php echo $viaje['nombreComercial'];?>	
					</a>	
				</div>
				<div class="col-xs-1 <?php echo $estiloPaquete;?>" ><?php echo $textoPaquete;?></div>				
			</div>
		
			<div class="row">
				<div class="col-xs-8">
					<?php 
					if ($viaje['dejar']) {
						echo '&nbsp;';
						$destinoMaps = '';
						//if ($viaje['destinoGPS'])
						//	$destinoMaps = $viaje['destinoGPS'];
						//else 
							$destinoMaps = $viaje['destinoDireccion'];
						if ($viaje['destinoDireccion']) 
							echo '<a target="_blank" href="https://www.google.es/maps/dir/'.$destinoMaps.'">'.$viaje['destinoDireccion'].'</a><br/>';
						echo 'GPS: ';
						if ($viaje['destinoGPS'])
							$destinoGPS = '<a target="_blank" href="https://www.google.es/maps/dir/'.$viaje['destinoGPS'].'">'.$viaje['destinoGPS'].'</a>';
						else
							$destinoGPS = '';
						printf('<span id="gps-%s">%s</span>',$key, $destinoGPS);
						printf(' <button onclick="getLocation(\'%s\', \'%s\', \'%s\', \'%s\', \'%s\', \'%s\', \'%s\')"><i class="fa fa-map-marker" aria-hidden="true"></i></button> <br/>', 
								$key, $viaje['contacto'], $this->ida, $viaje['dejar'], BASEURL, $viaje['contrato'], $viaje['linea']);
						echo '&nbsp;';
						if ($viaje['destinoFechaDejado']) echo $viaje['destinoFechaDejado'].'<br/>';
						echo '&nbsp;';
						if ($viaje['destinoHoraDejado']) echo $viaje['destinoHoraDejado'].'<br/>';
					} else {
						echo '&nbsp;';
						$origenMaps = '';
						//if ($viaje['origenGPS'])
						//	$origenMaps = $viaje['origenGPS'];
						//else 
							$origenMaps = $viaje['origenDireccion'];
						if ($viaje['origenDireccion']) echo '<a target="_blank" href="https://www.google.es/maps/dir/'.$origenMaps.'">'.$viaje['origenDireccion'].'</a><br/>';
						
						echo 'GPS: ';
						if ($viaje['origenGPS'])
							$destinoGPS = '<a target="_blank" href="https://www.google.es/maps/dir/'.$viaje['origenGPS'].'">'.$viaje['origenGPS'].'</a>';
						else
							$destinoGPS = '';
						printf('<span id="gps-%s">%s</span>',$key, $destinoGPS);
						printf(' <button onclick="getLocation(\'%s\', \'%s\', \'%s\', \'%s\', \'%s\', \'%s\', \'%s\')"><i class="fa fa-map-marker" aria-hidden="true"></i></button> <br/>',
						$key, $viaje['contacto'], $this->ida, $viaje['dejar'], BASEURL, $viaje['contrato'], $viaje['linea']);
						
						
						echo '&nbsp;';
						echo ($viaje['origenFechaRecogido'])?$viaje['origenFechaRecogido'].'<br/>':$viaje['origenFechaPrevista'].'<br/>';
						echo '&nbsp;';
						echo ($viaje['origenHoraRecogido'])?$viaje['origenHoraRecogido'].'<br/>':$viaje['origenHoraPrevista'].'<br/>';
					}?>	
					<?php
					if ($this->verCobros){ 
						if ($pendienteCobrar>0) {
							printf('<span style="float:left" class="pendiente_pago">PEND: %s &euro;</span>', $pendienteCobrar);
						} elseif ($formaPago) {
							printf('PAG %s', $formaPago);
						}
					}
					?>
				</div>
				<div class="col-xs-4">
					<?php 
					if ($viaje['telefono']){
						$telefono = str_replace(' ', '',$viaje['telefono']);
						echo '<a class="btn btn-default btn-ms" target="_blank" href="tel:'.$telefono.'">'.$telefono.'</a>';
					} 
					if ($viaje['telefono2']){
						$telefono2 = str_replace(' ', '',$viaje['telefono2']);
						echo '<a  class="btn btn-default btn-ms" target="_blank" href="tel:'.$telefono2.'">'.$telefono2.'</a>';
					}
					if ($viaje['movil']){
						$movil = str_replace(' ', '',$viaje['movil']);
						echo '<a  class="btn btn-default btn-ms" target="_blank" href="tel:'.$movil.'">'.$movil.'</a>';
					}?>
				</div>
				<?php if ($viaje['observaciones']) { ?>
				<div class="col-xs-12">
					Observaciones: <?php echo $viaje['observaciones'];?>
				</div>				
				<?php } ?>
			</div>					

			<div class="row " >
				<div class="col-xs-2">
					<?php if ($this->esTarea) {?>
					<a class="btn btn-default btn-default btn-lg" href="<?php echo BASEURL;?>/viaje/<?php echo($viaje['dejar'])?'dejar':'recoger';?>/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>"><i class="fa <?php echo($viaje['dejar'])?'fa-check':'fa-check';?>"></i></a>
					<?php } else { ?>
					<a class="btn btn-default btn-default btn-lg" href="<?php echo BASEURL;?>/viaje/<?php echo($viaje['dejar'])?'dejar':'recoger';?>/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>"><i class="fa fa-sign-<?php echo($viaje['dejar'])?'out':'in';?>"></i></a>							
					<?php } ?>				
				</div>
				<?php if ($this->verCobros) {?>
				<div class="col-xs-2">
					<a class="btn btn-default btn-default btn-lg" href="<?php echo BASEURL;?>/viaje/cobrar/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>"><i class="fa fa-money"></i></a>
				</div>
				<?php } ?>
				<?php if ($this->editarViajeros) {?>
				<div class="col-xs-2">							
					<a class="btn btn-default btn-default btn-lg" href="<?php echo BASEURL;?>/viaje/editar/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>"><i class="fa fa-info"></i></a>
				</div>

				<div class="col-xs-2">
					<a href="<?php echo BASEURL;?>/viaje/subirorden/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>/dejar/<?php echo $viaje['dejar']?>" class="btn btn-default btn-lg "><i class="fa fa-arrow-up"></i></a>
				</div>
				<div class="col-xs-2">							
					<a href="<?php echo BASEURL;?>/viaje/bajarorden/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $this->ida?>/linea/<?php echo $viaje['linea']?>/dejar/<?php echo $viaje['dejar']?>" class="btn btn-default btn-lg "><i class="fa fa-arrow-down"></i></a>			
				</div>
				<?php } ?>
			</div>
		</div>
				
		
<?php }?>
